﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Infragistics.DragDrop;
using Microsoft.Practices.Prism.Commands;

namespace InfragisticsDragDrop
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }       

        public ObservableCollection<Person> DroppedPeople { get; set; }
        
    }

    public class Person
    {
        public Person()
        {
            DroppedPeople = new ObservableCollection<Person>();
        }

        public ICommand DragStartedCommand
        {
            get { return new DelegateCommand(HandleDragStartedCommand); }
        }

        private void HandleDragStartedCommand()
        {
            
        }

        public ICommand DropCommand
        {
            get { return new DelegateCommand(HandleDropCommand); }
        }

        private void HandleDropCommand()
        {

        }

        public int Age { get; set; }

        public ObservableCollection<Person> DroppedPeople { get; set; }
        public string Name { get; set; }

        public ObservableCollection<Person> People
        {
            get { return new ObservableCollection<Person>(new List<Person> {new Person {Name = "Max Power", Age = 10}, new Person {Name = "Hank Scorpio", Age = 11}}); }
        }
    }
}